#
# spec file for package aespipe
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aespipe
Version:        2.4e
Release:        lp150.1.3
Summary:        AES Encrypting/Decrypting Pipe
License:        GPL-2.0
Group:          Productivity/Security
Url:            http://loop-aes.sourceforge.net/
Source:         http://loop-aes.sourceforge.net/aespipe/%{name}-v%{version}.tar.bz2#/%{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gpg2
#!BuildIgnore:  gcc-PIE
Requires:       gpg2

%description
aespipe program is AES encrypting or decrypting pipe. It reads from standard
input and writes to standard output. It can be used to create and restore
encrypted tar or cpio archives. It can be used to encrypt and decrypt loop-AES
compatible encrypted disk images.

%prep
%setup -q -n %{name}-v%{version}
patch  < aes-GPL.diff

%build
autoreconf -fiv
%configure \
%ifarch %{ix86}
  --enable-asm=x86   --enable-padlock --enable-intelaes \
%endif
%ifarch amd64 x86_64 ia32e em64t
  --enable-asm=amd64 --enable-padlock --enable-intelaes \
%endif
  --disable-silent-rules
make %{?_smp_mflags}

%check
make %{?_smp_mflags} tests

%install
%make_install
install -D -p -m 0755 bz2aespipe \
  %{buildroot}%{_bindir}/bz2aespipe

%files
%doc ChangeLog README
%{_bindir}/aespipe
%{_bindir}/bz2aespipe
%{_mandir}/man1/aespipe.1%{ext_man}

%changelog
* Sat Nov  4 2017 aavindraa@gmail.com
- Update to 2.4e
  * Added workaround for gpg 2 pinentry-mode bug.
- Cleanup spec file with spec-cleaner
* Mon Jun  5 2017 mpluskal@suse.com
- Fix building on Factory (disable pie building)
* Sat Apr  1 2017 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Fri Mar 31 2017 meissner@suse.com
- Disable PIE linking, as the assembler code is not position independ
  currently.
* Fri Feb 24 2017 shshyukriev@suse.com
- Compile with -fPIC for 64bit to fix build errors
* Thu Jun  4 2015 mpluskal@suse.com
- Update to 2.4d
  * no upstream changelog available
- Cleanup spec file with spec-cleaner
- Drop no longer needed aespipe-ppc64le.patch
* Tue Jul 29 2014 dvaleev@suse.com
- Fix PowerPC little endian build
- added patches:
  * aespipe-ppc64le.patch
* Sun Apr  1 2012 bruno@ioda-net.ch
- Fix spec formatting and licence
* Sat Jan 21 2012 bruno@ioda-net.ch
- New packaging for obs / version 2.4.c
* Sun Oct 28 2007 jnelson@jamponi.net
- tweaks for build service
* Fri Apr  6 2007 guru@unixtech.be
- new upstream version
* Mon Dec 11 2006 guru@unixtech.be
- new package
